import os
import glob
import shutil
import openpyxl
import docx
from docx.shared import Cm
current_dir=os.getcwd()
stamp_image=openpyxl.drawing.image.Image(os.path.join(current_dir,"Izawa.png"))
my_folder="1.担当者"
my_list=my_folder.split(".")
os.chdir(os.path.join(current_dir,my_folder))
for file in glob.glob("*.xlsx"):
    workbook=openpyxl.load_workbook(file)
    sheet=workbook.active
    row=0
    column=0
    for i in range(1,sheet.max_row+1):
        for j in range(1,sheet.max_column+1):
            if sheet.cell(row=i,column=j).value==my_list[1]:
                row=i+1
                column=j
                break
    column_letter=openpyxl.utils.get_column_letter(column)
    stamp_image.height=sheet.row_dimensions[i].height*1.5
    stamp_image.width=\
        sheet.column_dimensions[column_letter].width*10
    cell_address=column_letter+str(i)
    sheet.add_image(stamp_image,cell_address)
    workbook.save(file)
for file in glob.glob("*.docx"):
    document=docx.Document(file)
    for table in document.tables:
        for i,row in enumerate(table.rows):
            for j,cell in enumerate(row.cells):
                if cell.text==my_list[1]:
                    i=i+1
                    paragraph=table.rows[i].cells[j].paragraphs[0]
                    run=paragraph.add_run()
                    run.add_picture(os.path.join(current_dir,"izawa.png"),width=Cm(1.35),height=Cm(1.35))
                    break
    document.save(file)

os.chdir(current_dir)
my_folder=os.path.join(os.getcwd(),"1.担当者")
next_folder=os.path.join(os.getcwd(),"2.係長")
save_path=os.path.join(my_folder,"処理済")
os.makedirs(save_path,exist_ok=True)
os.chdir(my_folder)
for file in glob.glob("*.*"):
    shutil.copy2(os.path.join(my_folder,file),next_folder)    
    shutil.copy2(os.path.join(my_folder,file),save_path)
    os.remove(os.path.join(my_folder,file))
